package MyFigures;

public class MyCircle extends Figure{



    private Double radius;

    public MyCircle(Double radius){
        this.radius = radius;
    }

    public Double getRadius() {
        return radius;
    }

    public void setRadius(Double radius) {
        this.radius = radius;
    }

    @Override
    public Double calculatePerimeter() {
        return 2 * radius * Math.PI;
    }

    @Override
    public Double calculateSpace() {
        return radius * Math.PI * Math.PI;
    }
}
